DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/attribute

Create a chatbot attribute

Create a chatbot attribute

PATCH/attribute/{attributeId}arrow_forward
upload
Request body
namerequired
string
The name of the attribute
valuesrequired
array
Possible values for the attribute, each with a description
double_arrow
Returns 201
idrequired
string (uuid)
chatbotIdrequired
string (uuid)
namerequired
string
valuesrequired
array
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//attribute' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "values": []
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "values": [
    {
      "value": "value",
      "description": "description"
    }
  ],
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}